Payouts
Interact with payouts connected to your account.
Properties
- Name
id- Type
- string
- Description
Unique identifier for the payout.
- Name
currency- Type
- string
- Description
Currency code in ISO 4217 format, e.g. USD, EUR.
- Name
collaborator- Type
- collaborator
- Description
- Collaborator object
- Name
status- Type
- string
- Description
Filter for payout is set status, options are
paid,active,pending,failed.
- Name
to_be_paid_at- Type
- int
- Description
Unix timestamp when the payout should be paid.
- Name
paid_at- Type
- int
- Description
Unix timestamp when the payout has been paid.
- Name
items- Type
- array
- Description
Array of line items on the payout.
Properties
- Name
amount- Type
- int
- Description
Total for this item in cents.
- Name
original_amount- Type
- int
- Description
Total for this item in the original currency in cents.
- Name
original_currency- Type
- int
- Description
Original currency for the connected order.
- Name
is_expenses- Type
- bool
- Description
Is this a expense or extra income.
- Name
orderItem- Type
- orderItem
- Description
- Order object
List all payouts
This endpoint allows you to retrieve a paginated list of all your payouts. See pagination for interacting with paginated lists.
Optional attributes
- Name
paidDate- Type
- array
- Description
Filter for payouts paid in date range. This must be passed as a unix timestamp for
start_dateandend_date.
- Name
collaborator- Type
- string
- Description
Filter to products for a given collaborator
id.
- Name
expectedPaymentDate- Type
- array
- Description
Filter for payouts expected to be paid in date range. This must be passed as a unix timestamp for
start_dateandend_date.
- Name
status- Type
- string
- Description
Filter for payout is set status, options are
paid,active,pending,failed.
Request
curl -G https://collabpay.app/api/v1/payouts \
-H 'Content-Type: application/json'
-H 'Accept: application/json'
-H "Authorization: Bearer {token}" \
-d paidDate[start_date]=1685889000 \
-d paidDate[end_date]=1693924199 \
-d status=paid
Response
{
"data": [
{
"id": "23df106e-9901-4bf6-bbdc-3a4cc6fd76bd",
"currency": "USD",
"status": "manually paid",
"to_be_paid_at": 1693440000,
"paid_at": 1691576512,
"collaborator": {
"id": "83863eae-3d54-458a-8671-8494cec025c2",
"currency": "USD",
"payout_measurement": "monthly_date",
"payout_frequency": -1,
"payout_threshold": 410,
"permissions": {
"see_product_price": false,
"see_product_quantity": false,
"see_product_discount": false,
"see_product_tax": false,
"see_customer_email": false,
"see_customer_name": false,
"see_order_status": false,
"see_order_payment_gateway": false,
"see_order_shipping_address": false,
"see_order_billing_address": false,
"see_product_cost": false,
"see_product_stock": false
},
"account": {
"name": "Test account",
"paypal_email": null
}
}
},
{
"id": "f2a9bc8b-1d99-4b3e-a0d9-de938a23d7a3",
"currency": "USD",
"status": "manually paid",
"to_be_paid_at": 1693440000,
"paid_at": 1691585502,
"collaborator": {
"id": "83863eae-3d54-458a-8671-8494cec025c2",
"currency": "USD",
"payout_measurement": "monthly_date",
"payout_frequency": -1,
"payout_threshold": 410,
"permissions": {
"see_product_price": false,
"see_product_quantity": false,
"see_product_discount": false,
"see_product_tax": false,
"see_customer_email": false,
"see_customer_name": false,
"see_order_status": false,
"see_order_payment_gateway": false,
"see_order_shipping_address": false,
"see_order_billing_address": false,
"see_product_cost": false,
"see_product_stock": false
},
"account": {
"name": "Test account",
"paypal_email": null
}
}
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://collabpay.app/api/v1/payouts",
"per_page": 15,
"to": 2,
"total": 2
}
}
View a payout
This endpoint allows you to view the payout with attached items.
Request
curl https://collabpay.app/api/v1/payouts/23df106e-9901-4bf6-bbdc-3a4cc6fd76bd \
-H 'Content-Type: application/json'
-H 'Accept: application/json'
-H "Authorization: Bearer {token}"
Response
{
"data": {
"id": "23df106e-9901-4bf6-bbdc-3a4cc6fd76bd",
"currency": "USD",
"status": "paid",
"to_be_paid_at": 1693440000,
"paid_at": 1691576512,
"total": 2820,
"collaborator": {
"id": "83863eae-3d54-458a-8671-8494cec025c2",
"currency": "USD",
"payout_measurement": "monthly_date",
"payout_frequency": -1,
"payout_threshold": 410,
"permissions": {
"see_product_price": false,
"see_product_quantity": false,
"see_product_discount": false,
"see_product_tax": false,
"see_customer_email": false,
"see_customer_name": false,
"see_order_status": false,
"see_order_payment_gateway": false,
"see_order_shipping_address": false,
"see_order_billing_address": false,
"see_product_cost": false,
"see_product_stock": false
},
"account": {
"name": "Test account",
"paypal_email": "[email protected]"
}
},
"items": [
{
"amount": 3820,
"original_amount": 3820,
"original_currency": "USD",
"currency_exchange_rate": null,
"is_expenses": false,
"expense_name": null,
"orderItem": {
"amount": 5326,
"discount": 0,
"quantity": 1,
"tax_percent": null,
"tax_name": null,
"tax_total": null,
"grams": 500,
"product": {
"id": "6f210e1a-26d5-4075-912a-269a18f65fed",
"external_id": "7839399510263",
"external_variant_id": "43585471414519",
"name": "T-shirt (L)",
"sku": null,
"vendor": "STORE_ONE",
"price": 3750,
"cost": 500,
"tags": [
"T-shirt",
"large",
"sweatshirt"
],
"inventory_quantity": null
},
"external_id": "12697629425911",
"split_at": 1669938583,
"refunded_at": null
}
},
{
"amount": -1000,
"original_amount": -1000,
"original_currency": "USD",
"currency_exchange_rate": null,
"is_expenses": true,
"expense_name": "Google Ads",
"orderItem": null
}
]
}
}
Add expense to a payout
This endpoint allows you to add an expense to the payout.
Required attributes
- Name
amount- Type
- int
- Description
Amount for the income, in cents.
- Name
name- Type
- string
- Description
Description for the income, max 200 chars.
Request
curl -X POST https://collabpay.app/v1/payouts/23df106e-9901-4bf6-bbdc-3a4cc6fd76bd/expense \
-H 'Content-Type: application/json'
-H 'Accept: application/json'
-H "Authorization: Bearer {token}" \
-d { "amount": 1000, "name": "Google ads" }
Add extra income to a payout
This endpoint allows you to add extra income to the payout.
Required attributes
- Name
amount- Type
- int
- Description
Amount for the income, in cents.
- Name
name- Type
- string
- Description
Description for the income, max 200 chars.
Request
curl -X POST https://collabpay.app/v1/payouts/23df106e-9901-4bf6-bbdc-3a4cc6fd76bd/income \
-H 'Content-Type: application/json'
-H 'Accept: application/json'
-H "Authorization: Bearer {token}" \
-d { "amount": 1000, "name": "Product sold in person" }
Trigger payment via Stripe
This endpoint allows you to trigger payout via Stripe.
It is your responsibility to choose properly configured payment method for payout. If payout via Stripe is not configured, or the payout has already been paid, the request will return error.
Request
curl -X POST https://collabpay.app/api/v1/payouts/23df106e-9901-4bf6-bbdc-3a4cc6fd76bd/pay-stripe \
-H 'Content-Type: application/json'
-H 'Accept: application/json'
-H "Authorization: Bearer {token}"
Trigger payment via PayPal
This endpoint allows you to trigger payout via PayPal.
It is your responsibility to choose properly configured payment method for payout. If payout via PayPal is not configured, or the payout has already been paid, the request will return error.
Request
curl -X POST https://collabpay.app/api/v1/payouts/23df106e-9901-4bf6-bbdc-3a4cc6fd76bd/pay-paypal \
-H 'Content-Type: application/json'
-H 'Accept: application/json'
-H "Authorization: Bearer {token}"
Set a payout as manually paid
This endpoint allows you to set the payout as manually paid.
Request
curl -X POST https://collabpay.app/api/v1/payouts/23df106e-9901-4bf6-bbdc-3a4cc6fd76bd/set-paid \
-H 'Content-Type: application/json'
-H 'Accept: application/json'
-H "Authorization: Bearer {token}"
